- [HTTP request](https://developers.google.com/my-business/reference/rest/v4/googleLocations/report#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/my-business/reference/rest/v4/googleLocations/report#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/my-business/reference/rest/v4/googleLocations/report#body.request_body)
  - [JSON representation](https://developers.google.com/my-business/reference/rest/v4/googleLocations/report#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/my-business/reference/rest/v4/googleLocations/report#body.response_body)
- [Authorization Scopes](https://developers.google.com/my-business/reference/rest/v4/googleLocations/report#body.aspect)
- [BadLocationReason](https://developers.google.com/my-business/reference/rest/v4/googleLocations/report#BadLocationReason)
- [BadRecommendationReason](https://developers.google.com/my-business/reference/rest/v4/googleLocations/report#BadRecommendationReason)

Report a `https://developers.google.com/my-business/reference/rest/v4/googleLocations#GoogleLocation`.

### HTTP request

`POST https://mybusiness.googleapis.com/v4/{name=googleLocations/*}:report`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Resource name of a \[GoogleLocation\], in the format `googleLocations/{googleLocationId}`. |

### Request body

The request body contains data with the following structure:

| JSON representation ||
|---|---|
| ``` { "locationGroupName": string, "reportReasonElaboration": string, "reportReasonLanguageCode": string, // Union field `report_reason` can be only one of the following: "reportReasonBadLocation": enum (`https://developers.google.com/my-business/reference/rest/v4/googleLocations/report#BadLocationReason`), "reportReasonBadRecommendation": enum (`https://developers.google.com/my-business/reference/rest/v4/googleLocations/report#BadRecommendationReason`) // End of list of possible types for union field `report_reason`. } ``` |

| Fields ||
|---|---|---|
| `locationGroupName` | `string` Optional. The resource name of the location group that this Google Location is being reported for, in the format `accounts/{accountId}`. |
| `reportReasonElaboration` | `string` Optional. A text entry for elaborating on the reason for which the user is reporting this location. The maximum length is 512 characters. |
| `reportReasonLanguageCode` | `string` Optional. The BCP 47 code of language used in `reportReasonElaboration`. |
| Union field `report_reason`. Reason why this location is being reported. A reason must be provided. `report_reason` can be only one of the following: |||
| `reportReasonBadLocation` | ``enum (`https://developers.google.com/my-business/reference/rest/v4/googleLocations/report#BadLocationReason`)`` The reason for which the user is reporting this location when the issue is with the location itself. |
| `reportReasonBadRecommendation` | ``enum (`https://developers.google.com/my-business/reference/rest/v4/googleLocations/report#BadRecommendationReason`)`` The reason for which the user is reporting this location when the issue is with the recommendation. This report is useful if the location has been recommended to the Business Profile account. |

### Response body

If successful, the response body is empty.

### Authorization Scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/plus.business.manage`
- `https://www.googleapis.com/auth/business.manage`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).

## BadLocationReason

A set of possible reasons for reporting a location when there is an issue with the quality of data in the location itself.

| Enums ||
|---|---|
| `BAD_LOCATION_REASON_UNSPECIFIED` | Not specified. |
| `NOT_A_LOCATION` | The recommended location is not an actual location. |
| `PERMANENTLY_CLOSED` | The recommended location is permanently closed. |
| `DOES_NOT_EXIST` | The recommended location does not exist. |
| `SPAM` | The recommended location is spam, fake or offensive. |
| `NOT_A_BUSINESS` | The recommended location is a private place or home. |
| `MOVED` | The recommended location has moved to a new location. Should be accompanied by a `reportReasonElaboration` specifying the new address. |
| `DUPLICATE` | The recommended location is a duplicate of another location. |

## BadRecommendationReason

A set of possible reasons for reporting a location when there is an issue with the quality of recommendation (when this location is recommended to the user).

| Enums ||
|---|---|
| `BAD_RECOMMENDATION_REASON_UNSPECIFIED` | Not specified. |
| `NOT_A_STORE_FRONT` | The recommended location is not a store front. |
| `NOT_PART_OF_SUGGESTED_CHAIN` | The recommended location doesn't belong to the chain suggested in the `chainDisplayName` in the returned location. Should be accompanied by a `reportReasonElaboration` specifying the name of the correct chain. |
| `IRRELEVANT` | The recommended location is not relevant to the user. Should be accompanied by a `reportReasonElaboration` for why the recommendation is irrelevant. |